WordPress3.1.xのビジュアルエディタでiframeを使えるようにする

感想おまちしてます!

Screen shot 2011-04-11 at 8.50.21 PM

仕事柄、Slideshareをブログに貼り付けることが多いのですが、Wordpressくんデフォルトのビジュアルエディタは、iframeを取り除いてしまいます。

困ってしまい、Google先生に聞いてみたのですが、WordPress のビジュアルエディターで iframe を使えるようにするを参考にfunctions.phpに追記してもダメ。Wordpressのバージョンが問題か思って調べてみると、同じような悩みをもつ方が、Wordpressのフォーラムに書き込んでいました。

Problems with the iframe tag and the WP editorを読んでみると「HTMLエディタにすれば?」というコメントに対し「めんどくさい!」と書かれています。me too.

そこに救世主が現れ「TSL iframe unfilterプラグインならいけるぜ!」とコメント。試しにTSL iframe unfilterプラグインを入れてみると・・・

Screen shot 2011-04-11 at 8.47.14 PM (1)

ビジュアルエディタ上は表示されませんが、プレビューではちゃんとスライドが表示されました。

バージョンが変わると対応も代わるんですね。でもすぐに対応したものが出てくるWordpressはすごい。